nvme_get_ctrl_telemetry(2)

NAME
nvme_get_ctrl_telemetry - Get controller telemetry log

SYNOPSIS
int nvme_get_ctrl_telemetry (int fd , bool rae , struct nvme_telemetry_log **log , enum nvme_telemetry_da da , size_t *size );

ARGUMENTS

fd  File descriptor of nvme device

rae Retain asynchronous events

log On success, set to the value of the allocated and retrieved log.

da  Log page data area, valid values: enum nvme_telemetry_da

size
    Ptr to the telemetry log size, so it can be returned

DESCRIPTION
The total size allocated can be calculated as: (nvme_telemetry_log da size + 1) * NVME_LOG_TELEM_BLOCK_SIZE.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.